[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# Screen

The TScreen singleton for the application.

## Declaration

Source position: forms.pp line 1988

`var Screen: TScreen = Nil;`

## Description

Screen is a unit global TScreen variable which provides information about the display devices attached to the system. It allows access to the physical attributes for the monitors available in the application, as well logical attributes for the Desktop. It can also be used to access information about the Forms, DataModules, Fonts, and Cursor shapes used on the displays.

See TScreen for more information about the properties, methods and events in the class instance.

Screen is allocated in the initialization section for the forms.pp unit. It is freed in the finalization section for the unit.

## See also

TScreen |  | Provides information about screen displays in an application.